.floating {
    position: relative;
    position: sticky;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 0;
    background-color: #222;
    transition: all .3s ease;
    z-index: 90;
}

.floating.down {
    bottom: -136px;
}

.floating.down .pc-cb-arrow {
    transform: rotate(-180deg);
}

.pc-closebar {
    position: relative;
    position: absolute;
    top: -10px;
    width: 100%;
    height: 10px;
    background-color: #222;
}

.topBtn {
    position: absolute;
    top: -115px; right: 50px;
    width: 55px;
    height: 55px;
    color: #fff;
    font-size: 13px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    background-color: #222;
}

.topBtn i {
    font-size: 22px;
}

.pc-closeBtn {
    position: absolute;
    top: -48px; right: 50px;
    color: #fff;
    font-size: 22px;
    font-family: 'GmarketSansMedium';
    padding: 10px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    border-radius: 15px 15px 0 0;
    background-color: #222;
    cursor: pointer;
}

.pc-cb-arrow {
    font-size: 24px;
    padding-top: 5px;
    transition: all .3s ease;
}

.arrow-left {
    position: absolute;
    top: 0; left: -50px;
    width: 0;
    height: 0;
    border-top: 50px solid transparent;
    border-bottom: 0 solid transparent;
    border-right: 50px solid #222;
    display: none;
}

.floating-wrapper {
    width: 1300px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 3rem;
}

.f-closeBtn {
    display: none;
}

.floating-title {
    display: flex;
    align-items: center;
    gap: 20px;
}

.ff-open-mobile {
    display: none;
}

.f-tel img {
    width: 55px;
    min-width: 55px;
    animation: updown 1s infinite ease-in-out;
}

@keyframes updown {
    0% {transform:translateY(0);}
    10% {transform:translateY(-3px);}
    20% {transform:translateY(0);}
    30% {transform:translateY(-3px);}
    40% {transform:translateY(0);}
    100% {transform:translateY(0);}
}

.ft-text p {
    color: #fff;
    font-size: 28px;
    font-family: 'GmarketSansMedium';
    white-space: nowrap;
}

.ft-text a {
    color: #fff;
    font-size: 42px;
    font-weight: bolder;
    font-family: 'GmarketSansMedium';
    letter-spacing: 0.02em;
    white-space: nowrap;
}

.ft-form {
    width: 100%;
}

.form-top {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
}

.form-top .inputbox {
    color: #222;
    width: 50%;
    height: 47px;
    padding: 0 14px;
    font-size: 15px;
    -webkit-border-radius: 0;
    border-radius: 0;
    background-color: #fff;
    border: none;
    outline: none;
}

.form-top .inputbox::placeholder {
    color: #aaa;
}

.form-top .selectbox {
    color: #aaa;
    width: 185px;
    height: 47px;
    padding: 0 14px;
    font-size: 15px;
    -webkit-border-radius: 0;
    border-radius: 0;
    background-color: #fff;
    border: none;
    outline: none;
    cursor: pointer;
}

.form-top .selectbox:valid {
    color: #222;
}

.form-top .selectbox option {
    color: #444;
}

.f-submit2 {
    color: #fff;
    width: 40%;
    height: 47px;
    font-size: 18px;
    font-weight: 700;
    padding: 0 19px;
    border: none;
    outline: none;
    background-color: var(--main-color);
    cursor: pointer;
}

.f-submit2:disabled {
    color: #aaa;
    cursor: not-allowed;
    background-color: #ddd;
}


.f-personal2 {
    width: 100%;
    display: flex;
    align-items: center;
    margin-top: .7rem;
    gap: 5px;
}

.f-personal2 input {
    display: none;
}

.f-personal2 label {
    display: flex;
    align-items: center;
    gap: 5px;
}

.f-personal2 label em {
    position: relative;
    width: 14px;
    min-width: 14px;
    height: 14px;
    min-height: 14px;
    background-color: #fff;
    cursor: pointer;
}

.f-personal2 label em::after {
    content: '';
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    width: 8px;
    height: 8px;
    background-color: #222;
    display: none;
}

.f-personal2 label p,
.f-personal2 span {
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    cursor: pointer;
}

#cb2:checked ~ label em::after {
    display: block;
}

.f-popup-wrapper,
.f-alert-wrapper {
    position: fixed;
    top: 0; left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, .5);
    z-index: 999;
    display: none;
}

.f-popup,
.f-alert {
    position: relative;
    width: 550px;
    padding: 40px;
    border-radius: 7px;
    background-color: #fff;
}

.f-alert {
    width: 350px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.f-alert i {
    color: #be1a21;
    font-size: 45px;
    margin-bottom: .5rem;
}

.f-popup p,
.f-alert p {
    color: #222;
    font-size: 16px;
    line-height: 1.4;
}

.f-popup-closeBtn {
    position: absolute;
    top: 18px; right: 18px;
    width: 20px;
    height: 20px;
    cursor: pointer;
}



/*==================================================*/
@media (max-width: 1350px) {
    .floating-wrapper {
        width: 100%;
        padding: 0 20px;
    }
}


@media (max-width: 1250px) {
    .floating.down {
        bottom: -175px;
    }
    
    .topBtn,
    .pc-closeBtn {
        right: 20px;
    }

    .arrow-left {
        left: -49px;
    }
    
    .floating-wrapper {
        flex-direction: column;
        gap: 1.2rem;
    }

    .floating-title {
        width: 100%;
        gap: 10px;
    }

    .ft-text {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .ft-text p {
        font-size: 24px;
        margin-bottom: 0;
    }
    
    .ft-text a {
        font-size: 32px;
    }

    .f-tel img {
        height: 35px;
    }

    .floating-wrapper form {
        width: 100%;
    }
    
    .form-top {
        width: 100%;
    }
}


@media (max-width: 768px) {
    .floating {
        position: fixed;
        bottom: -264px;
        padding: 0;
    }

    .floating.up {
        bottom: 0;
    }

    .pc-closebar {
        display: none;
    }
    
    .floating-wrapper {
        padding: 0;
        gap: 0;
    }
    
    .floating-title {
        display: none;
    }

    .floating .ff-open-mobile {
        width: 100%;
        height: 55px;
        display: flex;
        justify-content: space-between;
    }

    .ff-omBtn {
        flex: 1;
        padding: 0 20px;
        color: #fff;
        font-size: 18px;
        font-weight: 500;
        font-family: 'GmarketSansMedium';
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 10px;
        background-color: var(--main-color);
        white-space: nowrap;
        cursor: pointer;
    }

    .ff-omBtn:nth-child(2) {
        background-color: var(--sub-color);
    }

    .ff-closeBtn {
        position: relative;
    }
    
    .ff-closeBtn span {
        display: block;
        width: 14px;
        height: 2px;
        background-color: #fff;
    }

    .ff-closeBtn span:nth-child(2) {
        position: absolute;
        top: 50%; left: 50%;
        transform: translate(-50%, -50%);
        width: 2px;
        height: 14px;
    }

    .i-rotate2 {
        transform: rotate(45deg);
    }


    .ft-form {
        padding: 20px;
    }

    .form-top {
        width: 100%;
        flex-direction: column;
    }

    .form-top .inputbox,
    .form-top .selectbox,
    .f-submit2 {
        width: 100%;
        height: 42px;
        font-size: 14px;
    }

    .f-personal2 label p,
    .f-personal2 span {
        font-size: 12px;
    }


    .f-popup {
        width: 90%;
    }
}


@media (max-width: 450px) {
    .floating .ff-open-mobile {
        height: 45px;
    }

    .ff-omBtn {
        font-size: 14px;
    }

    .f-popup {
        padding: 25px;
    }
    
    .f-popup p {
        font-size: 12px;
    }

    .f-popup-closeBtn {
        top: 12px;
        right: 12px;
        width: 14px;
        height: 14px;
    }
}